Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.api.core
Class HornetQException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.hornetq.api.core.HornetQException

All Implemented Interfaces:
  Serializable

    public class HornetQException

extends Exception

HornetQException is the root exception for HornetQ API.

Author:
  Tim Fox
See Also:
  Serialized Form

Field Summary
`static int` | `ADDRESS_DOES_NOT_EXIST` An operation failed because an address does not exist on the server.
`static int` | `ADDRESS_EXISTS` An operation failed because an address exists on the server.
`static int` | `CONNECTION_TIMEDOUT` A client timed out will connecting to HornetQ server.
`static int` | `DISCONNECTED` A client was disconnected from HornetQ server when the server has shut down.
`static int` | `DUPLICATE_ID_REJECTED` A DuplicateID was rejected.
`static int` | `DUPLICATE_METADATA` A Session Metadata was set in duplication
`static int` | `ILLEGAL_STATE` A HornetQ resource is not in a legal state (e.g.
`static int` | `INCOMPATIBLE_CLIENT_SERVER_VERSIONS` A incompatibility between HornetQ versions on the client and the server has been detected
`static int` | `INTERNAL_ERROR` Internal error which prevented HornetQ to perform.
`static int` | `INVALID_FILTER_EXPRESSION` An filter expression has not been validated
`static int` | `IO_ERROR` Unexpected I/O error occured on the server.
`static int` | `LARGE_MESSAGE_ERROR_BODY` An problem occurred while manipulating the body of a large message.
`static int` | `NATIVE_ERROR_AIO_FULL` AIO is full
`static int` | `NATIVE_ERROR_ALLOCATE_MEMORY` An error occurred while allocating memory in the AIO native code
`static int` | `NATIVE_ERROR_CANT_ALLOCATE_QUEUE` An error occured while allocating a queue in AIO native code
`static int` | `NATIVE_ERROR_CANT_INITIALIZE_AIO` AIO has not been properly initialized
`static int` | `NATIVE_ERROR_CANT_OPEN_CLOSE_FILE` A closed file has not be properly reopened
`static int` | `NATIVE_ERROR_CANT_RELEASE_AIO` AIO has not been properly released
`static int` | `NATIVE_ERROR_INTERNAL` A internal error occured in the AIO native code
`static int` | `NATIVE_ERROR_INVALID_BUFFER` A buffer is invalid in the AIO native code
`static int` | `NATIVE_ERROR_NOT_ALIGNED` Alignment error in the AIO native code
`static int` | `NATIVE_ERROR_PREALLOCATE_FILE` An error occured while pre-allocating a file in AIO native code
`static int` | `NOT_CONNECTED` A client is not able to connect to HornetQ server.
`static int` | `OBJECT_CLOSED` A client operation failed because the calling resource (ClientSession, ClientProducer, etc.) is closed.
`static int` | `QUEUE_DOES_NOT_EXIST` An operation failed because a queue does not exist on the server.
`static int` | `QUEUE_EXISTS` An operation failed because a queue exists on the server.
`static int` | `SECURITY_EXCEPTION` A security problem occured (authentication issues, permission issues,...)
`static int` | `SESSION_CREATION_REJECTED` The creation of a session was rejected by the server (e.g.
`static int` | `SESSION_EXISTS` An operation failed because a session exists on the server.
`static int` | `TRANSACTION_OUTCOME_UNKNOWN` The outcome of a tx is unknown
`static int` | `TRANSACTION_ROLLED_BACK` A transaction was rolled back.
`static int` | `UNBLOCKED` A blocking call from a client was unblocked during failover.
`static int` | `UNSUPPORTED_PACKET` A packet of unsupported type was received by HornetQ PacketHandler.

Constructor Summary
`HornetQException()`
`HornetQException(int code)`
`HornetQException(int code, String msg)`
`HornetQException(int code, String msg, Throwable cause)`

Method Summary
`int` | `getCode()`
`String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INTERNAL_ERROR

    public static final int INTERNAL_ERROR

  Internal error which prevented HornetQ to perform.

  See Also:
    Constant Field Values

### UNSUPPORTED_PACKET

    public static final int UNSUPPORTED_PACKET

  A packet of unsupported type was received by HornetQ PacketHandler.

  See Also:
    Constant Field Values

### NOT_CONNECTED

    public static final int NOT_CONNECTED

  A client is not able to connect to HornetQ server.

  See Also:
    Constant Field Values

### CONNECTION_TIMEDOUT

    public static final int CONNECTION_TIMEDOUT

  A client timed out will connecting to HornetQ server.

  See Also:
    Constant Field Values

### DISCONNECTED

    public static final int DISCONNECTED

  A client was disconnected from HornetQ server when the server has shut down.

  See Also:
    Constant Field Values

### UNBLOCKED

    public static final int UNBLOCKED

  A blocking call from a client was unblocked during failover.

  See Also:
    Constant Field Values

### IO_ERROR

    public static final int IO_ERROR

  Unexpected I/O error occured on the server.

  See Also:
    Constant Field Values

### QUEUE_DOES_NOT_EXIST

    public static final int QUEUE_DOES_NOT_EXIST

  An operation failed because a queue does not exist on the server.

  See Also:
    Constant Field Values

### QUEUE_EXISTS

    public static final int QUEUE_EXISTS

  An operation failed because a queue exists on the server.

  See Also:
    Constant Field Values

### OBJECT_CLOSED

    public static final int OBJECT_CLOSED

  A client operation failed because the calling resource (ClientSession, ClientProducer, etc.) is closed.

  See Also:
    Constant Field Values

### INVALID_FILTER_EXPRESSION

    public static final int INVALID_FILTER_EXPRESSION

  An filter expression has not been validated

  See Also:
    Constant Field Values

### ILLEGAL_STATE

    public static final int ILLEGAL_STATE

  A HornetQ resource is not in a legal state (e.g. calling ClientConsumer.receive() if a MessageHandler is set)

  See Also:
    Constant Field Values

### SECURITY_EXCEPTION

    public static final int SECURITY_EXCEPTION

  A security problem occured (authentication issues, permission issues,...)

  See Also:
    Constant Field Values

### ADDRESS_DOES_NOT_EXIST

    public static final int ADDRESS_DOES_NOT_EXIST

  An operation failed because an address does not exist on the server.

  See Also:
    Constant Field Values

### ADDRESS_EXISTS

    public static final int ADDRESS_EXISTS

  An operation failed because an address exists on the server.

  See Also:
    Constant Field Values

### INCOMPATIBLE_CLIENT_SERVER_VERSIONS

    public static final int INCOMPATIBLE_CLIENT_SERVER_VERSIONS

  A incompatibility between HornetQ versions on the client and the server has been detected

  See Also:
    Constant Field Values

### SESSION_EXISTS

    public static final int SESSION_EXISTS

  An operation failed because a session exists on the server.

  See Also:
    Constant Field Values

### LARGE_MESSAGE_ERROR_BODY

    public static final int LARGE_MESSAGE_ERROR_BODY

  An problem occurred while manipulating the body of a large message.

  See Also:
    Constant Field Values

### TRANSACTION_ROLLED_BACK

    public static final int TRANSACTION_ROLLED_BACK

  A transaction was rolled back.

  See Also:
    Constant Field Values

### SESSION_CREATION_REJECTED

    public static final int SESSION_CREATION_REJECTED

  The creation of a session was rejected by the server (e.g. if the server is starting and has not finish to be initialized)

  See Also:
    Constant Field Values

### DUPLICATE_ID_REJECTED

    public static final int DUPLICATE_ID_REJECTED

  A DuplicateID was rejected.

  See Also:
    Constant Field Values

### DUPLICATE_METADATA

    public static final int DUPLICATE_METADATA

  A Session Metadata was set in duplication

  See Also:
    Constant Field Values

### NATIVE_ERROR_INTERNAL

    public static final int NATIVE_ERROR_INTERNAL

  A internal error occured in the AIO native code

  See Also:
    Constant Field Values

### NATIVE_ERROR_INVALID_BUFFER

    public static final int NATIVE_ERROR_INVALID_BUFFER

  A buffer is invalid in the AIO native code

  See Also:
    Constant Field Values

### NATIVE_ERROR_NOT_ALIGNED

    public static final int NATIVE_ERROR_NOT_ALIGNED

  Alignment error in the AIO native code

  See Also:
    Constant Field Values

### NATIVE_ERROR_CANT_INITIALIZE_AIO

    public static final int NATIVE_ERROR_CANT_INITIALIZE_AIO

  AIO has not been properly initialized

  See Also:
    Constant Field Values

### NATIVE_ERROR_CANT_RELEASE_AIO

    public static final int NATIVE_ERROR_CANT_RELEASE_AIO

  AIO has not been properly released

  See Also:
    Constant Field Values

### NATIVE_ERROR_CANT_OPEN_CLOSE_FILE

    public static final int NATIVE_ERROR_CANT_OPEN_CLOSE_FILE

  A closed file has not be properly reopened

  See Also:
    Constant Field Values

### NATIVE_ERROR_CANT_ALLOCATE_QUEUE

    public static final int NATIVE_ERROR_CANT_ALLOCATE_QUEUE

  An error occured while allocating a queue in AIO native code

  See Also:
    Constant Field Values

### NATIVE_ERROR_PREALLOCATE_FILE

    public static final int NATIVE_ERROR_PREALLOCATE_FILE

  An error occured while pre-allocating a file in AIO native code

  See Also:
    Constant Field Values

### NATIVE_ERROR_ALLOCATE_MEMORY

    public static final int NATIVE_ERROR_ALLOCATE_MEMORY

  An error occurred while allocating memory in the AIO native code

  See Also:
    Constant Field Values

### TRANSACTION_OUTCOME_UNKNOWN

    public static final int TRANSACTION_OUTCOME_UNKNOWN

  The outcome of a tx is unknown

  See Also:
    Constant Field Values

### NATIVE_ERROR_AIO_FULL

    public static final int NATIVE_ERROR_AIO_FULL

  AIO is full

  See Also:
    Constant Field Values

Constructor Detail

### HornetQException

    public HornetQException()

### HornetQException

    public HornetQException(int code)

### HornetQException

    public HornetQException(int code,
                            String msg)

### HornetQException

    public HornetQException(int code,
                            String msg,
                            Throwable cause)

Method Detail

### getCode

    public int getCode()

### toString

    public String toString()

  Overrides:
    `toString` in class `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Red Hat Inc. All Rights Reserved.